
Infrastructure - Task #2659

Forward http requests to https on CN

2012-04-27 19:18 - Skye Roseboom

Status: Closed Start date: 2012-04-27

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Since no services are responding to http:

Provide a mod rewrite to forward http requests against CN services to https.  If not able to redirect, provide landing page and redirect

from there.

History

#1 - 2012-04-27 19:19 - Skye Roseboom

- Subject changed from Forward http requests to http on CN to Forward http requests to https on CN

#2 - 2012-04-30 19:21 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-05-02 19:17 - Skye Roseboom

- Status changed from In Progress to Closed

updated cn-ssl file in dataone-cn-os-core buildout project to add the following virtual host block to effect http to https redirect:

DocumentRoot /var/www

ServerName SERVER_NAME

Redirect permanent / https://SERVER_NAME/

SERVER_NAME is substituted per environment context in postinst script - not new functionality, re-using existing substitution.
